## postgis 1.1.6

=== lwgeom/Makefile ===
# Configuration Directives
include ../Makefile.config
include ../Version.config

#---------------------------------------------------------------
# Default missing CXX variable to c++
# 
ifeq ($(CXX),) 
	CXX = c++
endif

#---------------------------------------------------------------
# Shared library parameters.
#
NAME=lwgeom
SHLIB_LINK 	= $(DLFLAGS) 

#---------------------------------------------------------------
# Postgis version and build date
#---------------------------------------------------------------

POSTGIS_VERSION = $(REL_MAJOR_VERSION).$(REL_MINOR_VERSION) USE_GEOS=$(USE_GEOS) USE_PROJ=$(USE_PROJ) USE_STATS=$(USE_STATS)
POSTGIS_LIB_VERSION = $(REL_MAJOR_VERSION).$(REL_MINOR_VERSION).$(REL_MICRO_VERSION)
POSTGIS_BUILD_DATE := $(shell date -u "+%Y-%m-%d %H:%M:%S")
SCRIPTS_VERSION=$(POSTGIS_LIB_VERSION)


#---------------------------------------------------------------

CSTAR_FLAGS = -Wall -g -O2 -fPIC -fexceptions

override CFLAGS += -DUSE_VERSION=$(USE_VERSION)
override CFLAGS += -DPOSTGIS_LIB_VERSION='"$(POSTGIS_LIB_VERSION)"'
override CFLAGS += -DPOSTGIS_VERSION='"$(POSTGIS_VERSION)"'
override CFLAGS += -DPOSTGIS_SCRIPTS_VERSION='"$(SCRIPTS_VERSION)"'
override CFLAGS += -DPOSTGIS_BUILD_DATE='"$(POSTGIS_BUILD_DATE)"'

JTS_OBJ=lwgeom_nojts.o
ifeq ($(USE_GEOS),1)
	CSTAR_FLAGS += -DUSE_GEOS
	GEOS_RULES=
	ifeq ($(USE_GEOS_CAPI),1)
		CSTAR_FLAGS += -I$(GEOS_DIR)/include 
		GEOS_WRAPPER=
		JTS_OBJ=lwgeom_geos_c.o
		SHLIB_LINK += $(GEOS_LDFLAGS) -lgeos_c
	else
		CXXFLAGS += -I$(GEOS_DIR)/include 
		GEOS_WRAPPER=lwgeom_geos_wrapper.o
		JTS_OBJ=lwgeom_geos.o
		SHLIB_LINK += -lstdc++ $(GEOS_LDFLAGS) -lgeos
		GEOS_RULES=detect_geos_version
	endif
endif

ifeq ($(USE_JTS),1)
	CXXFLAGS += -I$(JTS_INCLUDES)
	CSTAR_FLAGS += -DUSE_JTS
	JTS_WRAPPER=lwgeom_jts_wrapper.o
	JTS_OBJ=lwgeom_jts.o
	SHLIB_LINK += -lgcj -ljts -lstdc++ -L$(JTS_LIBDIR) 
endif

ifeq ($(USE_PROJ),1)
	override CFLAGS += -I$(PROJ_DIR)/include -DUSE_PROJ 
	SHLIB_LINK += -L$(PROJ_LIBDIR) -lproj
endif

override CFLAGS += $(PGBEINCLUDES) -DAUTOCACHE_BBOX=$(AUTOCACHE_BBOX) 

# memory debug for gcc 2.91, 2.95, 3.0 and 3.1
# for gcc >= 3.2.2 set GLIBCPP_FORCE_NEW at runtime instead
#override CXXFLAGS += -D__USE_MALLOC

#---------------------------------------------------------------
# Add index selectivity to C flags
#
ifeq ($(USE_STATS),1)
	override CFLAGS += -DUSE_STATS
endif

override CFLAGS += $(CSTAR_FLAGS)
override CXXFLAGS += $(CSTAR_FLAGS)

SA_OBJS=measures.o box2d.o ptarray.o lwgeom_api.o lwgeom.o lwpoint.o lwline.o lwpoly.o lwmpoint.o lwmline.o lwmpoly.o lwcollection.o $(GEOS_WRAPPER) $(JTS_WRAPPER) wktunparse.o lwgparse.o wktparse.tab.o lex.yy.o vsprintf.o

OBJS=$(SA_OBJS) liblwgeom.o lwgeom_pg.o lwgeom_debug.o lwgeom_spheroid.o lwgeom_ogc.o lwgeom_functions_analytic.o $(JTS_OBJ) lwgeom_inout.o lwgeom_estimate.o lwgeom_functions_basic.o lwgeom_gist.o lwgeom_btree.o lwgeom_transform.o stringBuffer.o lwgeom_box.o lwgeom_box3d.o lwgeom_box2dfloat4.o lwgeom_chip.o lwgeom_svg.o lwgeom_gml.o lwgeom_triggers.o lwgeom_dump.o lwgeom_functions_lrs.o long_xact.o

#OTHERS=y.output lex.yy.c wktparse.tab.c wktparse.tab.h lwpostgis.sql
OTHERS=y.output postgis_geos_version.h

all: $(GEOS_RULES) ../lwpostgis.sql ../regress/lwpostgis.sql ../lwpostgis_upgrade.sql all-shared-lib 

enable_shared=yes
include Makefile.shlib

MODULE_FILENAME = $(LPATH)/$(shlib)
REGRESS_MODULE_FILENAME = $(shell $(PWDREGRESS))/$(shlib)

#---------------------------------------------------------------
# Makefile targets

wktparse.tab.c: wktparse.y
	$(YACC) -vd -p lwg_parse_yy wktparse.y
	mv -f y.tab.c wktparse.tab.c
	mv -f y.tab.h wktparse.tab.h


lex.yy.c: wktparse.lex wktparse.tab.c
	$(FLEX) -Plwg_parse_yy -i -f -o'lex.yy.c' wktparse.lex 

lwgeom_jts_wrapper.o: lwgeom_jts_wrapper.cpp

lwgeom_geos_wrapper.o: lwgeom_geos_wrapper.cpp

lwgeom_geos.o: lwgeom_geos.c profile.h

lwgeom_geos_c.o: lwgeom_geos_c.c profile.h

lwgeom_jts.o: lwgeom_jts.c profile.h

lwgeom_nojts.o: lwgeom_nojts.c

lwgeom_functions_basic.o: lwgeom_functions_basic.c profile.h

# Shared library stuff

../lwpostgis_upgrade.sql: ../lwpostgis.sql ../utils/postgis_proc_upgrade.pl
	$(PERL) ../utils/postgis_proc_upgrade.pl ../lwpostgis.sql > ../lwpostgis_upgrade.sql

../lwpostgis.sql: lwpostgis.sql.in long_xact.sql
	cpp -P -traditional-cpp -DUSE_VERSION=$(USE_VERSION) $< | sed -e 's:@MODULE_FILENAME@:$(MODULE_FILENAME):g;s:@POSTGIS_VERSION@:$(POSTGIS_VERSION):g;s:@POSTGIS_SCRIPTS_VERSION@:$(SCRIPTS_VERSION):g;s/@POSTGIS_BUILD_DATE@/$(POSTGIS_BUILD_DATE)/g' | grep -v '^#' > $@

../regress/lwpostgis.sql: lwpostgis.sql.in long_xact.sql
	cpp -P -traditional-cpp -DUSE_VERSION=$(USE_VERSION) $< | sed -e 's#@MODULE_FILENAME@#$(REGRESS_MODULE_FILENAME)#g;s#@POSTGIS_VERSION@#$(POSTGIS_VERSION)#g;s#@POSTGIS_SCRIPTS_VERSION@#$(SCRIPTS_VERSION)#g;s/@POSTGIS_BUILD_DATE@/$(POSTGIS_BUILD_DATE)/g' | grep -v '^#' > $@

install: all install-lib-shared install-lwgeom-scripts

install-lwgeom-scripts:
	@mkdir -p $(DESTDIR)$(datadir)
	$(INSTALL_DATA) ../lwpostgis.sql $(DESTDIR)$(datadir)/lwpostgis.sql
	$(INSTALL_DATA) ../lwpostgis_upgrade.sql $(DESTDIR)$(datadir)/lwpostgis_upgrade.sql
	$(INSTALL_DATA) ../spatial_ref_sys.sql $(DESTDIR)$(datadir)/spatial_ref_sys.sql

#----------------------------------------------------------

detect_geos_version: 
	sh ../geos_version.sh $(GEOS_DIR) > postgis_geos_version.h

uninstall-lwgeom-scripts:
	rm -f $(DESTDIR)$(datadir)/lwpostgis.sql
	rm -f $(DESTDIR)$(datadir)/lwpostgis_upgrade.sql
	rm -f $(DESTDIR)$(datadir)/spatial_ref_sys.sql

uninstall: uninstall-lib uninstall-lwgeom-scripts

clean-lwgeom-lib: clean-lib

clean distclean: clean-lwgeom-lib
	rm -f *.o *.so *.a test $(OTHERS)

maintainer-clean: clean
	rm  -f lex.yy.c wktparse.tab.c wktparse.tab.h

liblwgeom_sa.o: liblwgeom.c
	$(CC) -DSTANDALONE -o $@ -c $<

liblwgeom_sa.so: $(SA_OBJS) liblwgeom_sa.o 
	$(CC) -shared -o $@ $^ 

liblwgeom_sa.a: $(SA_OBJS) liblwgeom_sa.o 
	$(AR) -rc $@ $^ 


test: liblwgeom_sa.so liblwgeom_sa.a test.c
	$(CC) -Wall -lm -g -o test test.c liblwgeom_sa.a 

tsort:
	lorder $(SA_OBJS) | tsort

=== regress/Makefile ===
TMPDIR?=/tmp

include ../Makefile.config

TESTS = \
	loader/Point \
	loader/PointM \
	loader/PointZ \
	loader/MultiPoint \
	loader/MultiPointM \
	loader/MultiPointZ \
	loader/Arc \
	loader/ArcM \
	loader/ArcZ \
	loader/Polygon \
	loader/PolygonM \
	loader/PolygonZ \
	regress \
	regress_index \
	lwgeom_regress \
	regress_lrs \
	removepoint \
	setpoint \
	simplify \
	snaptogrid \
	affine \
	wkt \
	measures \
	long_xact \
	ctors

ifeq ($(USE_GEOS),1)
	TESTS += regress_ogc regress_bdpoly
endif

ifeq ($(USE_PROJ),1)
	TESTS += regress_proj
endif

all: test 

test check: lwpostgis.sql ../lwgeom/liblwgeom.so ../loader/pgsql2shp ../loader/shp2pgsql
	@USE_VERSION="$(USE_VERSION)" ./run_test $(TESTS)

lwpostgis.sql: ../lwgeom/lwpostgis.sql.in 
	$(MAKE) -C ../lwgeom ../regress/lwpostgis.sql

../lwgeom/liblwgeom.so:
	$(MAKE) -C ../lwgeom all-shared-lib

../loader/pgsql2shp:
	$(MAKE) -C ../loader pgsql2shp

../loader/shp2pgsql:
	$(MAKE) -C ../loader shp2pgsql

cleanup:
	@sleep 1
	@dropdb postgis_reg > /dev/null

clean:
	rm -f lwpostgis.sql

=== extras/template_gis/Makefile ===
include ../../Makefile.config

#
# PostGIS template_gis Makefile
#

SCRIPTS_IN:=$(wildcard *.in)
SCRIPTS:=$(SCRIPTS_IN:.in=)
PUBLIC_SCRIPTS:=mktemplate_gis rmtemplate_gis createdb.postgis
SONAME:=$(shell grep ^REL_MAJOR_VERSION ../../Version.config | cut -d= -f2)

SUBSTITUTE=-e s:@bindir@:$(bindir):g \
           -e s:@datadir@:$(datadir):g \
           -e s:@prefix@:$(prefix):g \
           -e s:@SONAME@:$(SONAME):g
SCRIPT_PREPARE=cat $(SCRIPT).in | sed $(SUBSTITUTE) > $(SCRIPT)
SCRIPT_TARGETDIR=$(DESTDIR)$(bindir)
SCRIPT_TARGET=$(SCRIPT_TARGETDIR)/$(SCRIPT)
SCRIPT_INSTALL=$(INSTALL_BIN) $(SCRIPT) $(SCRIPT_TARGET)
SCRIPT_LINKDIR=$(DESTDIR)$(prefix)/bin
SCRIPT_LINK=$(SCRIPT_LINKDIR)/$(SCRIPT)
SCRIPT_DOLINK=rm -f $(SCRIPT_LINK); \
              $(LN_S) $(SCRIPT_TARGET) $(SCRIPT_LINKDIR)
SCRIPT_UNINSTALL=rm -f $(SCRIPT_TARGET)
SCRIPT_UNLINK=rm -f $(SCRIPT_LINK)
DEFAULTS_DIR=$(DESTDIR)/etc/default
SCRIPT_DEFAULTS=$(DEFAULTS_DIR)/postgis

all: $(SCRIPTS_IN)
	$(foreach SCRIPT, $(SCRIPTS), $(SCRIPT_PREPARE);)

install: all
	@mkdir -p $(SCRIPT_TARGETDIR)
	@mkdir -p $(SCRIPT_LINKDIR)
	$(foreach SCRIPT, $(SCRIPTS), $(SCRIPT_INSTALL);)
	$(foreach SCRIPT, $(PUBLIC_SCRIPTS), $(SCRIPT_DOLINK);)
	@mkdir -p $(DEFAULTS_DIR)
	cp profile $(SCRIPT_DEFAULTS)
	rm -f $(SCRIPT_TARGETDIR)/profile

uninstall:
	$(foreach SCRIPT, $(PUBLIC_SCRIPTS), $(SCRIPT_UNLINK);)
	$(foreach SCRIPT, $(SCRIPTS), $(SCRIPT_UNINSTALL);)

purge: uninstall
	rm -f $(SCRIPT_DEFAULTS)

clean distclean:
	rm -f $(SCRIPTS)

.PHONY: all install uninstall purge clean distclean

=== java/jdbc/Makefile ===
# PostGIS Makefile

# (C) 2004 Paul Ramsey, pramsey@refractions.net
# (C) 2005 Markus Schaber, markus.schaber@logix-tt.com
# (C) 2005 Sandro Santilli, strk@refractions.net
# (C) 2005 Alex Bodnaru, alexbodn@012.net.il

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# Following are some variable definitions that may have to be changed
# according to your build environment. This can be done either by editing
# this Makefile, or setting them via shell environment prior to calling make.

### Config variable section starts ###

# Configure the helper executables used during build.

JAVAC?=javac -target 1.2 -source 1.2
JAVA?=java
JAR?=jar
MKDIR?=mkdir -p
DELETE?=rm -rvf
CP?=cp

# If you happen to be stuck with ancient jar implementations that do not
# know about the -u option, but does not complain about duplicate directorys
# with the same name (e. G. debian woody fastjar), set the DEBUGJAR below
# variable to postgis_debug.fastjar and JAR (above) to fastjar.
DEBUGJAR?=postgis_debug.jar

# Make sure our classpath includes your postgresql.jar. This is somehow
# difficult because some JREs (e. G. those on debian woody or sablevm) seem
# to forget their own system classes (aka bootclasspath) as soon as _any_
# classpath is set, either via environment or via command line. They do not
# implement the concept of distinct classpath and bootclasspath settings,
# as most current java implementations do. This makes it necessary to either
# explicitly include the system classes in the set classpath, or use
# non-standard options line --addclasspath to add both the postgresql.jar
# and our own classes. We also cannot set an unset CLASSPATH variable here
# for this reason. Current (Jan 2005) implementations from SUN, IBM, 
# Blackdown, gij and kaffe are known to work fine.

# If you set POSTGIS_BUILD_CLASSPATH via Environment (even to an empty string), we
# simply use it and do not try to guess anything. If POSTGIS_CLASSPATH is
# not set, we use the contents of CLASSPATH. If CLASSPATH is empty or not
# set, we try to guess a default location that works on most unixoid systems.

ifeq (${CLASSPATH},)
	POSTGIS_BUILD_CLASSPATH?=/usr/share/java/postgresql.jar
else
	POSTGIS_BUILD_CLASSPATH?=${CLASSPATH}
endif

# Set those to --addclasspath for sablevm, to avoid overriding the
# BOOTCLASSPATH, the first one is for the compiler, the second one for JRE.
COMP_ADDCP?=-classpath
EXEC_ADDCP?=-classpath

# Class path entry separator, this is : on Linux/Unix and ; on Windows
CPSEP?=:

# This are used for the online regression tests, override via environment
# as applicable. The jtest needs table creation privilege in current_schema(),
# the others only call self contained SELECTs that do not access any tables.
PGHOST?=localhost
PGPORT?=5432
PGDATABASE?=jdbc_test
PGUSER?=psql
PGPASS?=guess
PGURL?=//$(PGHOST):$(PGPORT)/$(PGDATABASE)

# Where to put the output from regression tests. If you want to have it on
# stdout, set TESTOUT to the empty string. Be careful - this will be deleted
# by "make clean".
TESTOUTPUT?=test.log

### Config variable section ends ###

# build internal constants follow:
SRCDIR=src
EXAMPLES=examples
BUILD=bin
RUNCP=$(POSTGIS_BUILD_CLASSPATH)$(CPSEP)./postgis.jar
BUILDCP=$(STUBBUILD)$(CPSEP)$(POSTGIS_BUILD_CLASSPATH)$(CPSEP)$(SRCDIR)

# The pgjdbc 7.2/7.4/8.0 compatibility stub stuff
STUBDIR=stubs
STUBBUILD=stubbin/

# What to put into the JAR files:
JARCONTENTS=-C $(BUILD) org \
		-C $(BUILD) examples \
		-C $(SRCDIR) org/postgresql/driverconfig.properties \
		-C . README COPYING_LGPL \
		-C ../.. COPYING

DEBUGJARCONTENTS=-C $(SRCDIR) org \
		-C $(SRCDIR) examples

# include version numbers
include ../../Version.config

# include configuration from central repository, only needed for install
# and installdirs targets, not for building itsself.
-include ../../Makefile.config

VERSION=$(REL_MAJOR_VERSION).$(REL_MINOR_VERSION).$(REL_MICRO_VERSION)

# We copy the ../Version.config into the jar to have it read at runtime.
VERSIONPATH=$(BUILD)/org/postgis
VERSIONTARGET=$(VERSIONPATH)/version.properties

# Output redirect for tests
TESTRD?= >>$(TESTOUTPUT) 

# Preliminary jts support - not stable yet!
JTSDIR=jtssrc
JTSBUILD=jtsbin/

JTSPATH=$(JTSBUILD)$(CPSEP)$(BUILD)$(CPSEP)$(RUNCP)

# Get the list of all source files

SRC = $(SRCDIR)/org/postgis/*.java $(SRCDIR)/org/postgis/*/*.java $(SRCDIR)/examples/*.java

STUBSRC = $(STUBDIR)/org/postgresql/*.java

JTSSRC = $(JTSDIR)/org/postgis/jts/*.java


# Now the makefile targets that do the work:
# The default target:
all:	jar \
	offlinetests

# Packing the archives

jar:	compile postgis.jar $(DEBUGJAR)
	$(CP) postgis.jar postgis_$(VERSION).jar
	$(CP) postgis_debug.jar postgis_debug_$(VERSION).jar

postgis.jar: compile $(SRCDIR)/org/postgresql/driverconfig.properties
	$(JAR) -cf postgis.jar $(JARCONTENTS)

postgis_debug.jar: postgis.jar $(SRC)
	$(CP) postgis.jar postgis_debug.jar
	$(JAR) -uf postgis_debug.jar $(DEBUGJARCONTENTS)

# See comment for DEBUGJAR above for this rule.
postgis_debug.fastjar: compile $(SRC) $(SRCDIR)/org/postgresql/driverconfig.properties
	$(JAR) -cf postgis_debug.jar $(JARCONTENTS) $(DEBUGJARCONTENTS)

$(BUILD):
	$(MKDIR) $(BUILD)

$(STUBBUILD):
	$(MKDIR) $(STUBBUILD)

$(VERSIONPATH): $(BUILD)
	$(MKDIR) $(VERSIONPATH)

$(VERSIONTARGET): $(SRC) ../../Version.config $(VERSIONPATH)
	$(CP) ../../Version.config $(VERSIONTARGET)

stubcompile: $(STUBBUILD) $(SRCCONF) $(STUBSRC)
	$(JAVAC) -d $(STUBBUILD) $(STUBSRC)
	touch stubcompile

compile: stubcompile $(BUILD) $(SRCCONF) $(SRC) $(VERSIONTARGET)
	$(JAVAC) $(COMP_ADDCP) "$(BUILDCP)" -d $(BUILD) $(SRC) 
	touch compile

test:	postgis.jar
	$(JAVA) $(EXEC_ADDCP) "$(RUNCP)" $(EXAMPLES)/Test $(TESTRD) 

jtest:	postgis.jar
	$(JAVA) $(EXEC_ADDCP) "$(RUNCP)" $(EXAMPLES)/TestServer $(TESTRD) \
	 jdbc:postgresql:$(PGURL) $(PGUSER) $(PGPASS)

ptestoffline: postgis.jar	
	$(JAVA) $(EXEC_ADDCP) "$(RUNCP)" $(EXAMPLES)/TestParser $(TESTRD) offline

ptest: postgis.jar
	$(JAVA) $(EXEC_ADDCP) "$(RUNCP)" $(EXAMPLES)/TestParser $(TESTRD) \
	 "jdbc:postgresql_postGIS:$(PGURL);jdbc:postgresql_autogis:$(PGURL)" \
	 $(PGUSER) $(PGPASS)

boxtestoffline: postgis.jar	
	$(JAVA) $(EXEC_ADDCP) "$(RUNCP)" $(EXAMPLES)/TestBoxes $(TESTRD) offline

boxtest: postgis.jar
	$(JAVA) $(EXEC_ADDCP) "$(RUNCP)" $(EXAMPLES)/TestBoxes $(TESTRD) \
	 jdbc:postgresql_postGIS:$(PGURL) $(PGUSER) $(PGPASS)

autoregistertest: postgis.jar
	$(JAVA) $(EXEC_ADDCP) "$(RUNCP)" $(EXAMPLES)/TestAutoregister $(TESTRD) \
	 jdbc:postgresql:$(PGURL) $(PGUSER) $(PGPASS)

# Print all available versions
versions: postgis.jar
	$(JAVA) $(EXEC_ADDCP) "$(RUNCP)" $(EXAMPLES)/VersionPrinter jdbc:postgresql://$(PGHOST):$(PGPORT)/$(PGDATABASE) $(PGUSER) $(PGPASS)

offlinetests: boxtestoffline ptestoffline test

onlinetests: boxtest ptest jtest autoregistertest

# boxtest and ptest include boxtestoffline and ptestoffline, so we only need
# to run test in addition to the onlinetests
alltests: onlinetests test

# Cleaning
clean:
	echo cleaning...
	$(DELETE) $(BUILD) bin stubbin postgis.jar postgis_debug.jar \
		compile stubcompile jtscompile $(JTSBUILD) postgis_jts.jar \
		$(TESTOUTPUT) \
		postgis_$(VERSION).jar \
		postgis_debug_$(VERSION).jar \
		postgis_jts_$(VERSION).jar

maintainer-clean: clean
	$(DELETE) $(SRCCONF)


install: jar installdirs
	@echo Testing for successful inclusion of ../Makefile.config
	test ../Makefile.config
	$(INSTALL_DATA) postgis.jar $(DESTDIR)
	$(INSTALL_DATA) postgis_debug.jar $(DESTDIR)

installdirs:
	@mkdir -p $(DESTDIR)

# Preliminary JTS support

postgis_jts: postgis_jts.jar jtstestoffline
	@echo "Warning! This is beta code. Use at your own risk."

$(JTSBUILD):
	$(MKDIR) $(JTSBUILD)

jtscompile: compile stubcompile $(JTSBUILD) $(SRCCONF) $(JTSSRC)
	$(JAVAC) $(COMP_ADDCP) "$(BUILD)$(CPSEP)$(BUILDCP)" -d $(JTSBUILD) $(JTSSRC) 
	touch jtscompile
	
jtstestoffline: jtscompile	
	$(JAVA) $(EXEC_ADDCP) "$(JTSPATH)" $(EXAMPLES)/JtsTestParser $(TESTRD) offline

jtstest: jtscompile
	$(JAVA) $(EXEC_ADDCP) "$(JTSPATH)" $(EXAMPLES)/JtsTestParser $(TESTRD) \
	jdbc:postgres_jts:$(PGURL) $(PGUSER) $(PGPASS)

postgis_jts.jar: postgis.jar jtscompile $(SRCDIR)/org/postgresql/driverconfig.properties
	$(CP) postgis.jar postgis_jts.jar
	$(JAR) -uf postgis_jts.jar -C $(JTSBUILD) .
	$(CP) postgis_jts.jar postgis_jts_$(VERSION).jar

## postgis 1.2.1-2

=== lwgeom/Makefile ===
--- 
+++ 
@@ -84,7 +84,7 @@
 
 SA_OBJS=measures.o box2d.o ptarray.o lwgeom_api.o lwgeom.o lwpoint.o lwline.o lwpoly.o lwmpoint.o lwmline.o lwmpoly.o lwcollection.o $(GEOS_WRAPPER) $(JTS_WRAPPER) wktunparse.o lwgparse.o wktparse.tab.o lex.yy.o vsprintf.o
 
-OBJS=$(SA_OBJS) liblwgeom.o lwgeom_pg.o lwgeom_debug.o lwgeom_spheroid.o lwgeom_ogc.o lwgeom_functions_analytic.o $(JTS_OBJ) lwgeom_inout.o lwgeom_estimate.o lwgeom_functions_basic.o lwgeom_gist.o lwgeom_btree.o lwgeom_transform.o stringBuffer.o lwgeom_box.o lwgeom_box3d.o lwgeom_box2dfloat4.o lwgeom_chip.o lwgeom_svg.o lwgeom_gml.o lwgeom_triggers.o lwgeom_dump.o lwgeom_functions_lrs.o long_xact.o
+OBJS=$(SA_OBJS) liblwgeom.o lwgeom_pg.o lwgeom_debug.o lwgeom_spheroid.o lwgeom_ogc.o lwgeom_functions_analytic.o $(JTS_OBJ) lwgeom_inout.o lwgeom_estimate.o lwgeom_functions_basic.o lwgeom_gist.o lwgeom_btree.o lwgeom_transform.o stringBuffer.o lwgeom_box.o lwgeom_box3d.o lwgeom_box2dfloat4.o lwgeom_chip.o lwgeom_svg.o lwgeom_gml.o lwgeom_kml.o lwgeom_triggers.o lwgeom_dump.o lwgeom_functions_lrs.o long_xact.o lwcurve.o lwcompound.o lwcurvepoly.o lwmcurve.o lwmsurface.o lwgeom_sqlmm.o
 
 #OTHERS=y.output lex.yy.c wktparse.tab.c wktparse.tab.h lwpostgis.sql
 OTHERS=y.output postgis_geos_version.h
@@ -128,10 +128,10 @@
 ../lwpostgis_upgrade.sql: ../lwpostgis.sql ../utils/postgis_proc_upgrade.pl
 	$(PERL) ../utils/postgis_proc_upgrade.pl ../lwpostgis.sql > ../lwpostgis_upgrade.sql
 
-../lwpostgis.sql: lwpostgis.sql.in long_xact.sql
+../lwpostgis.sql: lwpostgis.sql.in long_xact.sql.in sqlmm.sql.in sqldefines.h 
 	cpp -P -traditional-cpp -DUSE_VERSION=$(USE_VERSION) $< | sed -e 's:@MODULE_FILENAME@:$(MODULE_FILENAME):g;s:@POSTGIS_VERSION@:$(POSTGIS_VERSION):g;s:@POSTGIS_SCRIPTS_VERSION@:$(SCRIPTS_VERSION):g;s/@POSTGIS_BUILD_DATE@/$(POSTGIS_BUILD_DATE)/g' | grep -v '^#' > $@
 
-../regress/lwpostgis.sql: lwpostgis.sql.in long_xact.sql
+../regress/lwpostgis.sql: lwpostgis.sql.in long_xact.sql.in sqlmm.sql.in sqldefines.h
 	cpp -P -traditional-cpp -DUSE_VERSION=$(USE_VERSION) $< | sed -e 's#@MODULE_FILENAME@#$(REGRESS_MODULE_FILENAME)#g;s#@POSTGIS_VERSION@#$(POSTGIS_VERSION)#g;s#@POSTGIS_SCRIPTS_VERSION@#$(SCRIPTS_VERSION)#g;s/@POSTGIS_BUILD_DATE@/$(POSTGIS_BUILD_DATE)/g' | grep -v '^#' > $@
 
 install: all install-lib-shared install-lwgeom-scripts
@@ -157,7 +157,7 @@
 clean-lwgeom-lib: clean-lib
 
 clean distclean: clean-lwgeom-lib
-	rm -f *.o *.so *.a test $(OTHERS)
+	rm -f *.o *.so *.a ../lwpostgis.sql ../lwpostgis_upgrade.sql test $(OTHERS)
 
 maintainer-clean: clean
 	rm  -f lex.yy.c wktparse.tab.c wktparse.tab.h

=== regress/Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	loader/PolygonZ \
 	regress \
 	regress_index \
+	regress_index_nulls \
 	lwgeom_regress \
 	regress_lrs \
 	removepoint \
@@ -27,7 +28,8 @@
 	wkt \
 	measures \
 	long_xact \
-	ctors
+	ctors \
+	sql-mm-serialize
 
 ifeq ($(USE_GEOS),1)
 	TESTS += regress_ogc regress_bdpoly

=== extras/template_gis/Makefile ===
--- 
+++ 
@@ -23,6 +23,14 @@
               $(LN_S) $(SCRIPT_TARGET) $(SCRIPT_LINKDIR)
 SCRIPT_UNINSTALL=rm -f $(SCRIPT_TARGET)
 SCRIPT_UNLINK=rm -f $(SCRIPT_LINK)
+
+# would probably be nice to link these somewhere as well
+MANPAGES1:=$(wildcard *.1)
+MAN1_TARGETDIR=$(DESTDIR)$(mandir)/man1
+MAN1_TARGET=$(MAN1_TARGETDIR)/$(MAN1)
+MAN1_INSTALL=$(INSTALL_DATA) $(MAN1) $(MAN1_TARGET)
+MAN1_UNINSTALL=rm -f $(MAN1_TARGET)
+
 DEFAULTS_DIR=$(DESTDIR)/etc/default
 SCRIPT_DEFAULTS=$(DEFAULTS_DIR)/postgis
 
@@ -37,10 +45,13 @@
 	@mkdir -p $(DEFAULTS_DIR)
 	cp profile $(SCRIPT_DEFAULTS)
 	rm -f $(SCRIPT_TARGETDIR)/profile
+	@mkdir -p $(MAN1_TARGETDIR)
+	$(foreach MAN1, $(MANPAGES1), $(MAN1_INSTALL);)
 
 uninstall:
 	$(foreach SCRIPT, $(PUBLIC_SCRIPTS), $(SCRIPT_UNLINK);)
 	$(foreach SCRIPT, $(SCRIPTS), $(SCRIPT_UNINSTALL);)
+	$(foreach MAN1, $(MANPAGES1), $(MAN1_UNINSTALL);)
 
 purge: uninstall
 	rm -f $(SCRIPT_DEFAULTS)

=== java/jdbc/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 # Configure the helper executables used during build.
 
-JAVAC?=javac -target 1.2 -source 1.2
+JAVAC?=javac -target 1.3 -source 1.3
 JAVA?=java
 JAR?=jar
 MKDIR?=mkdir -p
@@ -58,7 +58,7 @@
 # set, we try to guess a default location that works on most unixoid systems.
 
 ifeq (${CLASSPATH},)
-	POSTGIS_BUILD_CLASSPATH?=/usr/share/java/postgresql.jar
+	POSTGIS_BUILD_CLASSPATH?=/usr/share/java/postgresql.jar:/usr/share/java/jts.jar
 else
 	POSTGIS_BUILD_CLASSPATH?=${CLASSPATH}
 endif
@@ -82,22 +82,25 @@
 PGURL?=//$(PGHOST):$(PGPORT)/$(PGDATABASE)
 
 # Where to put the output from regression tests. If you want to have it on
-# stdout, set TESTOUT to the empty string. Be careful - this will be deleted
-# by "make clean".
+# stdout, set TESTRD to the empty string. If you want to have it in another
+# file, set TESTOUTPUT to the file path.
+# Be careful - that file will be deleted by "make clean".
 TESTOUTPUT?=test.log
+# Output redirect for tests
+TESTRD?= >>$(TESTOUTPUT) 
 
 ### Config variable section ends ###
 
 # build internal constants follow:
-SRCDIR=src
+SRCDIR=./src
 EXAMPLES=examples
-BUILD=bin
+BUILD=./bin
 RUNCP=$(POSTGIS_BUILD_CLASSPATH)$(CPSEP)./postgis.jar
 BUILDCP=$(STUBBUILD)$(CPSEP)$(POSTGIS_BUILD_CLASSPATH)$(CPSEP)$(SRCDIR)
 
 # The pgjdbc 7.2/7.4/8.0 compatibility stub stuff
 STUBDIR=stubs
-STUBBUILD=stubbin/
+STUBBUILD=./stubbin/
 
 # What to put into the JAR files:
 JARCONTENTS=-C $(BUILD) org \
@@ -122,8 +125,6 @@
 VERSIONPATH=$(BUILD)/org/postgis
 VERSIONTARGET=$(VERSIONPATH)/version.properties
 
-# Output redirect for tests
-TESTRD?= >>$(TESTOUTPUT) 
 
 # Preliminary jts support - not stable yet!
 JTSDIR=jtssrc
@@ -137,12 +138,13 @@
 
 STUBSRC = $(STUBDIR)/org/postgresql/*.java
 
-JTSSRC = $(JTSDIR)/org/postgis/jts/*.java
+JTSSRC = $(JTSDIR)/org/postgis/jts/*.java $(JTSDIR)/examples/*.java
 
 
 # Now the makefile targets that do the work:
 # The default target:
 all:	jar \
+		postgis-jdbc-javadoc.zip \
 	offlinetests
 
 # Packing the archives
@@ -225,6 +227,7 @@
 	echo cleaning...
 	$(DELETE) $(BUILD) bin stubbin postgis.jar postgis_debug.jar \
 		compile stubcompile jtscompile $(JTSBUILD) postgis_jts.jar \
+		javadoc-build postgis-jdbc-javadoc.zip \
 		$(TESTOUTPUT) \
 		postgis_$(VERSION).jar \
 		postgis_debug_$(VERSION).jar \
@@ -242,6 +245,14 @@
 
 installdirs:
 	@mkdir -p $(DESTDIR)
+
+postgis-jdbc-javadoc.zip: javadoc-build
+	$(JAR) -cf postgis-jdbc-javadoc.zip -C javadoc-build .
+
+javadoc-build: jtscompile compile
+	$(MKDIR) javadoc-build
+	javadoc -d javadoc-build -sourcepath src:jtssrc \
+		org.postgis org.postgis.jts org.postgis.binary org.postgis.java2d examples
 
 # Preliminary JTS support

=== debian/changelog ===
postgis (1.2.1-2) unstable; urgency=low

  * Added build-dep from libjts-java 1.7
    (closes: #425919)
  * Added me among uploaders.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 16 Jun 2007 01:00:49 +0200

postgis (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Migrate to PostgreSQL 8.2-only (Closes: #419297)
  * Remove busted templategis from the build (new in 1.2.1 anyway).
    (Currently attempts to install files in /etc/default, doesn't
     respect $DESTDIR and overall looks like a godawful mess)

 -- Stephen Frost <sfrost@debian.org>  Fri, 13 Apr 2007 09:19:18 +0200

postgis (1.1.6-2) unstable; urgency=low

  * debian/README.Debian: added documentation for the new users on how to use
    postgis and how to enable it for new or existent databases.

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 18 Dec 2006 17:19:27 +0100

postgis (1.1.6-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Tue,  7 Nov 2006 09:47:00 +0100

postgis (1.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 31 Oct 2006 21:56:32 +0100

postgis (1.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Fri,  6 Oct 2006 10:51:51 +0200

postgis (1.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 16 Jul 2006 22:19:25 +0200

postgis (1.1.2-1) unstable; urgency=low

  - Fabio Tranchitella <kobold@debian.org>
    * New upstream release. (Closes: #314854)
    * Renamed packages to follow the actual naming conventions. 
      (Closes: #312675)
    * Re-packaging, let's try to have postgis in etch. (Closes: #309528, #310094)
    * Fixed several FTBFS and uninstallable bugs.
      (Closes: #316519, #335631, #363946, #323120)
    * Fixed libpostgis-java package FTBFS. (Closes: #308848)
    * Move to the new postgresql infrastructure. (Closes: #321913, #312676)
    * Team maintainership, added myself as uploader.

  - Stephen Frost <sfrost@debian.org>
    * Added myself as uploader
    * Removed Alex from uploaders (for now at least)
    * Cleaned up doc/html/postgis.html handling
    * Renamed postgis-common -> postgis
    * Made postgis package Arch: any
    * Moved PostGIS binaries into base postgis package
    * Changed postgis package to only suggest server packages (could very
      reasonably be installed on a non-server machine for the PostGIS
      binaries)
    * Dropped extra extraneous linking (previously the server module and
      the binaries were linking to everything the Postgres server linked
      to, unnecessary and potentially dangerous)
    * Dropped support for 7.4, after discussion with Martin Pitt and others
      it's clear that there isn't any need for a 7.4 version of PostGIS in
      etch.
    * New upstream release Closes: #311732

 -- Stephen Frost <sfrost@debian.org>  Wed, 31 May 2006 16:33:48 -0400

postgis (1.1.0-7) unstable; urgency=low

  * postgresql-postgis-common should depend on postgresql-common | postgresql, 
    not the other way.
  
 -- Alex Bodnaru <alexbodn@012.net.il>  Tue, 21 Mar 2006 03:13:04 +0200

postgis (1.1.0-6) unstable; urgency=low

  * Closes: #312675
    postgresql-postgis-utils is the only utils package, replacing the 
    previous postgresql-pg_version-postgis-utils. a further elimination 
    of older method reminiscence.
  
 -- Alex Bodnaru <alexbodn@012.net.il>  Sat, 18 Mar 2006 23:13:04 +0200

postgis (1.1.0-5) unstable; urgency=low

  * Closes: #312675
    postgresql-postgis-utils is the only utils package, replacing the 
    previous postgresql-pg_version-postgis-utils.
  * Closes: 335631
    Depends on libgeos which passed c2 ABI transition.
  * Uses /usr/share/postgresql-common/supported-versions to dynamically
    detect postgresql supported versions. thanks martin.
  
 -- Alex Bodnaru <alexbodn@012.net.il>  Thu, 9 Mar 2006 04:26:05 +0200

postgis (1.1.0-4) unstable; urgency=low

  * made invariable control file to match standards. the control file 
    may be made automatically by calling 'debian/rules maintainer-configure'
  * the supported postgresql versions may be filtered, by filling 
    'debian/_supported.postgresql'.
  * the postgis binary packages have been renamed, to obey the postgresql 
    standard for extension packages: now their name allways begins with 
    'postgresql', eventually followed by the postgresql major and minor 
    version, if a specific one is needed.
    'libpostgis' has become 'postgis'.

 -- Alex Bodnaru <alexbodn@012.net.il>  Mon, 27 Feb 2006 03:26:15 +0200

postgis (1.1.0-3) unstable; urgency=low

  * minor bug fixes
  * recompilation

 -- Alex Bodnaru <alexbodn@012.net.il>  Sun, 26 Feb 2006 05:16:09 +0200

postgis (1.1.0-2) unstable; urgency=low

  * minor bug fixes
  * the package builds again on systems without multiclustering postgresql.

 -- Alex Bodnaru <alexbodn@012.net.il>  Wed, 28 Dec 2005 07:11:39 +0200

postgis (1.1.0-1) unstable; urgency=low

  * Automatic upstream version tracking.

 -- Alex Bodnaru <alexbodn@012.net.il>  Wed, 21 Dec 2005 05:15:37 +0200

postgis (1.0.4-2) unstable; urgency=low

  * Closes: #321913 Closes: #312676
    Support of multiple postgis installations on the same postgresql server.
    Please note:
    - The template database will be template_gis#SONAME#,
    - The famous (lw)?postgis.sql file will be postgis#SONAME#.sql,
    where #SONAME# is roughly the major upstream postgis version.
  * Closes: #323120
    The building process is autodetecting the appropriate postgresql-dev.
  * README.Debian updated to support multiversion postgresql architecture.
  * Closes: #314854
    Newer upstream version.
  * Minor improvements to make the build process more quiet.
  * Default variables are being kept in configuration files. Thus, the same 
    package diff will serve for postgis-0.9 and 1.0.
  * Closes: #310100


=== extras/debian/changelog ===
postgis (1.1.0+CVS-1) unstable; urgency=low

  * Automatic upstream version tracking.

 -- Alex Bodnaru <alexbodn@012.net.il>  Tue, 28 Jun 2005 04:01:59 +0300

=== debian/control ===
Source: postgis
Section: misc
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Stephen Frost <sfrost@debian.org>, Fabio Tranchitella <kobold@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 5.0.0), autotools-dev, flex, bison, postgresql-server-dev-8.2,
 libgeos-dev, proj, libssl-dev, xsltproc, docbook, docbook-xsl, libpg-java, jikes-classpath,
 fastjar, libjts-java (>=1.7)
Standards-Version: 3.7.2

Package: postgresql-8.2-postgis
Architecture: any
Depends: ${shlibs:Depends}, postgis, postgresql-8.2
Conflicts: postgis (<< 1.2.1)
Description: geographic objects support for PostgreSQL 8.2
 PostGIS adds support for geographic objects to the PostgreSQL object-relational
 database. In effect, PostGIS "spatially enables" the PostgreSQL server, 
 allowing it to be used as a backend spatial database for geographic information
 systems (GIS), much like ESRI's SDE or Oracle's Spatial extension. PostGIS
 follows the OpenGIS "Simple Features Specification for SQL".
 .
 This package supports PostgreSQL 8.2.

Package: postgis
Suggests: postgresql-8.2-postgis | postgresql-8.1-postgis | postgresql-7.4-postgis
Depends: ${shlibs:Depends}
Architecture: any
Description: geographic objects support for PostgreSQL -- common files
 PostGIS adds support for geographic objects to the PostgreSQL object-relational
 database. In effect, PostGIS "spatially enables" the PostgreSQL server, 
 allowing it to be used as a backend spatial database for geographic information
 systems (GIS), much like ESRI's SDE or Oracle's Spatial extension. PostGIS
 follows the OpenGIS "Simple Features Specification for SQL".
 .
 This package contains the PostGIS userland binaries, common files and
 documentation.

Package: libpostgis-java
Architecture: all
Section: science
Depends: libpg-java
Suggests: postgresql-8.2-postgis | postgresql-8.1-postgis | postgresql-7.4-postgis
Conflicts: libpostgis-jdbc, libpostgisjava, postgresql-postgis-java
Replaces: libpostgis-jdbc, libpostgisjava, postgresql-postgis-java
Description: geographic objects support for PostgreSQL -- JDBC support
 PostGIS adds support for geographic objects to the PostgreSQL object-relational
 database. In effect, PostGIS "spatially enables" the PostgreSQL server, 
 allowing it to be used as a backend spatial database for geographic information
 systems (GIS), much like ESRI's SDE or Oracle's Spatial extension. PostGIS
 follows the OpenGIS "Simple Features Specification for SQL".
 .
 This package contains JDBC support for PostGIS.

=== extras/debian/control ===
Source: postgis
Section: science
Priority: optional
Maintainer: Alex Bodnaru <alexbodn@012.net.il>
Build-Depends: debhelper (>= 4.0.0), devscripts, gawk | awk, binutils | binutils-multiarch, libgeos-dev, proj, postgresql-dev (>= 7.2.0), libpgjava, gcj | java-compiler, fastjar
Standards-Version: 3.6.1

Package: libpostgis1-pg74
Section: libs
Priority: optional
Provides: libpostgis
Conflicts: postgis
Architecture: any
Depends: ${shlibs:Depends}, libgeos2 (>= 2.1.1), postgresql (>= 7.4.0), postgresql-contrib (>= 7.4.0), sudo
Conflicts: postgresql (>> 7.4.99)
Suggests: libpostgis-doc (= ${Source-Version})
Description: geographic objects support for PostgreSQL
 PostGIS adds support for geographic objects to the 
 PostgreSQL object-relational database. In effect, 
 PostGIS "spatially enables" the PostgreSQL server, 
 allowing it to be used as a backend spatial database 
 for geographic information systems (GIS), much like 
 ESRI's SDE or Oracle's Spatial extension. PostGIS 
 follows the OpenGIS "Simple Features Specification 
 for SQL" and will be submitted for conformance 
 testing at version 1.0.

Package: libpostgis-doc
Section: doc
Priority: optional
Architecture: all
Description: geographic objects support for PostgreSQL. Documentation
 PostGIS adds support for geographic objects to the 
 PostgreSQL object-relational database. In effect, 
 PostGIS "spatially enables" the PostgreSQL server, 
 allowing it to be used as a backend spatial database 
 for geographic information systems (GIS), much like 
 ESRI's SDE or Oracle's Spatial extension. PostGIS 
 follows the OpenGIS "Simple Features Specification 
 for SQL" and will be submitted for conformance 
 testing at version 1.0.
 This package contains documentation for PostGIS.

Package: libpostgis-java
Section: science
Priority: optional
Architecture: all
Depends: libpgjava
Recommends: libpostgis
Replaces: libpostgis-jdbc, libpostgisjava
Description: geographic objects support for PostgreSQL. JDBC
 PostGIS adds support for geographic objects to the 
 PostgreSQL object-relational database. In effect, 
 PostGIS "spatially enables" the PostgreSQL server, 
 allowing it to be used as a backend spatial database 
 for geographic information systems (GIS), much like 
 ESRI's SDE or Oracle's Spatial extension. PostGIS 
 follows the OpenGIS "Simple Features Specification 
 for SQL" and will be submitted for conformance 
 testing at version 1.0.
 This package adds JDBC support.

Package: libpostgis-java-debug
Section: devel
Priority: optional
Architecture: all
Depends: libpgjava
Recommends: libpostgis
Replaces: libpostgis-jdbc, libpostgisjava
Description: geographic objects support for PostgreSQL. JDBC
 PostGIS adds support for geographic objects to the 
 PostgreSQL object-relational database. In effect, 
 PostGIS "spatially enables" the PostgreSQL server, 
 allowing it to be used as a backend spatial database 
 for geographic information systems (GIS), much like 
 ESRI's SDE or Oracle's Spatial extension. PostGIS 
 follows the OpenGIS "Simple Features Specification 
 for SQL" and will be submitted for conformance 
 testing at version 1.0.
 This package adds JDBC support, with debug facilities.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp
	[ -f doc/html/postgis.html.prev ] && mv doc/html/postgis.html.prev doc/html/postgis.html || true
	-$(MAKE) distclean
	-$(MAKE) -C java/jdbc clean
	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure \
		--with-docdir=\$${prefix}/share/doc/postgis \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info

	# PostGIS JDBC (with debug support)
	$(MAKE) -C java/jdbc clean
	DEBUGJAR=postgis_debug.fastjar JAR=fastjar JAVAC=jikes-classpath $(MAKE) -C java/jdbc jar
	DEBUGJAR=postgis_debug.fastjar JAR=fastjar JAVAC=jikes-classpath $(MAKE) -C java/jdbc install DESTDIR=$(CURDIR)/debian/libpostgis-java/usr/share/java/$(JAVA_PATH)
	$(MAKE) distclean
	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Documentation and common files for PostGIS
	[ ! -f doc/html/postgis.html.prev ] && cp doc/html/postgis.html doc/html/postgis.html.prev || true

	# PostGIS for PostgreSQL 8.2
	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--with-docdir=$(CURDIR)/debian/postgis/usr/share/doc \
		--exec-prefix=\$${prefix}/lib/postgresql/8.2 \
		--datadir=\$${prefix}/share/postgresql-8.2-postgis \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--with-pgsql=/usr/lib/postgresql/8.2/bin/pg_config \
		--with-geos \
		--with-proj
	$(MAKE)
	$(MAKE) -C doc
	$(MAKE) install prefix=$(CURDIR)/debian/postgresql-8.2-postgis/usr
	$(MAKE) -C doc install prefix=$(CURDIR)/debian/postgis/usr
	mv $(CURDIR)/debian/postgresql-8.2-postgis/usr/lib/postgresql/8.2/bin $(CURDIR)/debian/postgis/usr
	$(MAKE) distclean

	dh_install -s

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

=== debian/watch ===
# Example watch control file for uscan
# You can run the "uscan" command to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=2
http://postgis.refractions.net/download/postgis-(.*)\.tar\.gz	debian	uupdate
